Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.model.engine
Class AgentOrderStrategy

    java.lang.Object
      org.ascape.model.engine.ExecutionStrategy
          org.ascape.model.engine.IncrementalExecutionStrategy
              org.ascape.model.engine.ParallelExecutionStrategy
                  org.ascape.model.engine.AgentOrderStrategy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  AgentOrderMutableStrategy

    public class AgentOrderStrategy

extends ParallelExecutionStrategy

The Class AgentOrderStrategy.

See Also:
  Serialized Form

Constructor Summary
`AgentOrderStrategy(StrategyFactory factory)` Instantiates a new agent order strategy.

Method Summary
`boolean` | `hasNext()` Checks for next.
`boolean` | `hasNextParallel()` Checks for next parallel.
`void` | `increment()` Increment.
`boolean` | `isSupportsParallel()` Checks if is supports parallel.
`void` | `nextParallelSequence()` Next parallel sequence.
`void` | `reset()` Reset.

Methods inherited from class org.ascape.model.engine.ParallelExecutionStrategy
`execute, executeParallel, incrementParallel`

Methods inherited from class org.ascape.model.engine.IncrementalExecutionStrategy
`clone, fire, getAgentIterator, getAgentSelector, getCurrentAgent, getCurrentRule, getRules, getRuleSelector, getScape, setAgentIterator, setAgentSelector, setRuleSelector`

Methods inherited from class org.ascape.model.engine.ExecutionStrategy
`chain`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgentOrderStrategy

    public AgentOrderStrategy(StrategyFactory factory)

  Instantiates a new agent order strategy.

  Parameters:
    `factory` - the factory

Method Detail

### hasNext

    public boolean hasNext()

  Description copied from class: `IncrementalExecutionStrategy`
  Checks for next.

  Specified by:
    `hasNext` in class `IncrementalExecutionStrategy`
  Returns:
    true, if successful

### hasNextParallel

    public final boolean hasNextParallel()

  Description copied from class: `ParallelExecutionStrategy`
  Checks for next parallel.

  Overrides:
    `hasNextParallel` in class `ParallelExecutionStrategy`
  Returns:
    true, if successful

### nextParallelSequence

    public void nextParallelSequence()

  Description copied from class: `ParallelExecutionStrategy`
  Next parallel sequence.

  Overrides:
    `nextParallelSequence` in class `ParallelExecutionStrategy`

### increment

    public final void increment()

  Description copied from class: `IncrementalExecutionStrategy`
  Increment.

  Specified by:
    `increment` in class `IncrementalExecutionStrategy`

### reset

    public void reset()

  Description copied from class: `ExecutionStrategy`
  Reset.

  Overrides:
    `reset` in class `IncrementalExecutionStrategy`

### isSupportsParallel

    public boolean isSupportsParallel()

  Description copied from class: `ExecutionStrategy`
  Checks if is supports parallel.

  Overrides:
    `isSupportsParallel` in class `ExecutionStrategy`
  Returns:
    true, if is supports parallel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD